<?php
//
// +----------------------------------------------------------------------+
// |zen-cart Open Source E-commerce                                       |
// +----------------------------------------------------------------------+
// | Copyright (c) 2003 The zen-cart developers                           |
// |                                                                      |
// | http://www.zen-cart.com/index.php                                    |
// |                                                                      |
// | Portions Copyright (c) 2003 osCommerce                               |
// +----------------------------------------------------------------------+
// | This source file is subject to version 2.0 of the GPL license,       |
// | that is bundled with this package in the file LICENSE, and is        |
// | available through the world-wide-web at the following url:           |
// | http://www.zen-cart.com/license/2_0.txt.                             |
// | If you did not receive a copy of the zen-cart license and are unable |
// | to obtain it through the world-wide-web, please send a note to       |
// | license@zen-cart.com so we can mail you a copy immediately.          |
// +----------------------------------------------------------------------+
// $Id: faq_manager.php 001 2005-03-27 dave@open-operations.com
//
?>
<table border="0" width="100%" cellspacing="2" cellpadding="2">
<?php if (DEFINE_BREADCRUMB_STATUS == '1' || DEFINE_BREADCRUMB_STATUS == '2' ) { ?>
  <tr>
    <td class="breadCrumb" colspan="2"><?php echo $breadcrumb->trail(BREAD_CRUMBS_SEPARATOR); ?></td>
  </tr>
<?php } ?>
  <tr>
    <td class="pageHeading" colspan="2"><h1><?php echo HEADING_TITLE; ?></h1></td>
  </tr>
<?php
// display order dropdown
  $disp_order_default = FAQ_ALL_LIST_SORT_DEFAULT;
  include(DIR_WS_MODULES . 'faq_listing_display_order.php');
?>
<?php
  $faqs_all_array = array();

  $faqs_all_query_raw = "select f.*, fd.*, fcd.faq_categories_name from " . TABLE_FAQS . " f, " . TABLE_FAQS_DESCRIPTION . " fd, " . TABLE_FAQ_CATEGORIES_DESCRIPTION . " fcd, " . TABLE_FAQ_CATEGORIES . " fc " .
                        "where f.faqs_status = '1' and f.faqs_id = fd.faqs_id and fd.language_id = '" . (int)$_SESSION['languages_id'] . "' and f.master_faq_categories_id = fcd.faq_categories_id and f.master_faq_categories_id = fc.faq_categories_id and fc.faq_categories_status='1' and fcd.language_id = '" . (int)$_SESSION['languages_id'] . "' " . 
                                $order_by;

  $faqs_all_split = new splitPageResults($faqs_all_query_raw, MAX_DISPLAY_FAQS_ALL);

  if (($faqs_all_split->number_of_rows > 0) && ((PREV_NEXT_FAQ_BAR_LOCATION == '1') || (PREV_NEXT_FAQ_BAR_LOCATION == '3'))) {
?>
  <tr>
    <td class="pageresults"><?php echo $faqs_all_split->display_count(TEXT_DISPLAY_NUMBER_OF_FAQS_ALL); ?></td>
    <td align="right" class="pageresults"><?php echo TEXT_RESULT_PAGE . ' ' . $faqs_all_split->display_links(MAX_DISPLAY_PAGE_LINKS, zen_get_all_get_params(array('page', 'info', 'x', 'y', 'main_page'))); ?></td>
  </tr>
<?php
  }
?>
  <tr>
    <td class="main" colspan="2"><?php include(DIR_WS_MODULES . zen_get_module_directory(FILENAME_FAQS_ALL_LISTING)); ?></td>
  </tr>
<?php
  if (($faqs_all_split->number_of_rows > 0) && ((PREV_NEXT_FAQ_BAR_LOCATION == '2') || (PREV_NEXT_FAQ_BAR_LOCATION == '3'))) {
?>
  <tr>
    <td class="pageresults"><?php echo $faqs_all_split->display_count(TEXT_DISPLAY_NUMBER_OF_FAQS_ALL); ?></td>
    <td align="right" class="pageresults"><?php echo TEXT_RESULT_PAGE . ' ' . $faqs_all_split->display_links(MAX_DISPLAY_PAGE_LINKS, zen_get_all_get_params(array('page', 'info', 'x', 'y', 'main_page'))); ?></td>
  </tr>
<?php
  }
?>
</table>